cabal-install-solver-3.10.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Solver.Types.PackageFixedDeps

Synopsis

- class Package pkg => PackageFixedDeps pkg where
  - depends :: pkg -> ComponentDeps [UnitId]

# Documentation

class Package pkg => PackageFixedDeps pkg where #

Subclass of packages that have specific versioned dependencies.

So for example a not-yet-configured package has dependencies on version ranges, not specific versions. A configured or an already installed package depends on exact versions. Some operations or data structures (like dependency graphs) only make sense on this subclass of package types.

Methods

depends :: pkg -> ComponentDeps [UnitId] #

#### Instances

Instances details

PackageFixedDeps InstalledPackageInfo # |
Instance details Defined in Distribution.Solver.Types.PackageFixedDeps Methods depends :: InstalledPackageInfo -> ComponentDeps [UnitId] #